Gnomario_Environment = {
	brick_standard = {
		static = true,
		width = 40,
		height = 40,
		tex = 'brick_standard'
	},
};

Gnomario_Creatures = {
	-- phase types (player and bosses)
	gnomario = {
		health = 1, -- health points (if it drops to 0, the creature either changes phase or dies)
		speed = 2, -- walking speed, meters per second
		tex = 'gnome_test',
		width=32,
		height=32,
		damage = nil, -- damage (CanBreakBlocks, WeaponType)
	},
	dorfario = {
		health = 1,
		speed = 2,
		tex = 'dorfario',
		damage = {1,0}
	},
	humario = {
		health = 1,
		speed = 3,
		tex = 'humario',
		damage = {1,1}
	},

	hogger = {
		health = 10,
		speed = 2,
		tex = 'hogger',
		damage = {2,1}, -- 2 damage if he physically hits you, 1 damage if his shot hits you.
		defaultScript = 'hogger'
	},
	hogger_mad = {
		health = 10,
		speed = 5,
		tex = 'hogger_mad',
		damage = {2,2}, -- 2 damage if he physically hits you, 2 damage if his shot hits you.
		defaultScript = 'hogger_mad'
	},

	-- actual creatures
	player = {
		phases = { 'gnomario', 'dorfario', 'humario' }, -- powerups or losing health changes the phase.
		init = 1,
		player = true,
		width=32,
		height=32
	},
	murloc = {
		health = 1,
		speed = 1,
		tex = 'murloc',
		hostile = true,
	},
	hogger = {
		phases = {'hogger', 'hogger_mad'},
		hostile = true,
	}
}
